# Generated by Django 4.1.6 on 2023-02-12 22:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sth', '0002_alter_stage_id'),
        ('organization', '0001_initial'),
        ('cse_framework', '0001_initial'),
        ('continuous_star', '0001_initial'),
        ('employee', '0001_initial'),
        ('practitioners_eye', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdoptedLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text='name', max_length=200)),
                ('description', models.TextField(help_text='description')),
                ('percentage', models.IntegerField(help_text='percentage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FeedbackQuestionnaire',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('feedback_date', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Questionnaire',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('applied_date', models.DateTimeField(blank=True, null=True)),
                ('document', models.FileField(upload_to='documents/%Y/%m/%d/')),
                ('uploaded_at', models.DateTimeField(auto_now_add=True)),
                ('employee', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='employee.employee')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QuestionnaireGoogleForms',
            fields=[
                ('questionnaire_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='questionnaire.questionnaire')),
            ],
            options={
                'abstract': False,
            },
            bases=('questionnaire.questionnaire',),
        ),
        migrations.CreateModel(
            name='Statement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('code', models.CharField(blank=True, max_length=200, null=True)),
                ('statement', models.TextField()),
                ('continuous_activity', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='continuous_star.continuousactivity')),
                ('fcse_processes', models.ManyToManyField(to='cse_framework.process')),
                ('pe_element', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='practitioners_eye.element')),
                ('sth_stage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sth.stage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('comment', models.TextField()),
                ('adopted_level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='questionnaire.adoptedlevel')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization.organization')),
                ('questionnaire', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='questionnaire.questionnaire')),
                ('statement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='questionnaire.statement')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QuestionnaireExcel',
            fields=[
                ('questionnaire_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='questionnaire.questionnaire')),
                ('feedback_questionnaire', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='questionnaire.feedbackquestionnaire')),
            ],
            options={
                'abstract': False,
            },
            bases=('questionnaire.questionnaire',),
        ),
    ]
